IronRuby 1.1.3 debugging

Hi All

Quick question. Is there any way to configure RubyMine, such that I can use the debugging facilities. I have my project running via the iron ruby interpreter no problem., but when I come to debug, no luck.

I am being asked 'The gem ruby-debug-base required by the debugger is not currently installed. Would you like to install it?'. If I choose yes, it tries to install the gem and fails.

I am just wondering whether else has any luck getting this going.

Thanks in advance.

1 comment

Hi Dean,

Debugger gems are sensible to ruby sdk type and even its minor version. At the moment IronRuby isn't supported, please file a feature request at http://youtrack.jetbrains.net/issues/ruby

0

Please sign in to leave a comment.